import React from 'react';
import { useDayPicker } from '../../hooks';
/**
 * Render the week number element. If `onWeekNumberClick` is passed to DayPicker, it
 * renders a button, otherwise a span element.
 */
export function WeekNumber(props) {
    var weekNumber = props.number, dates = props.dates;
    var _a = useDayPicker(), onWeekNumberClick = _a.onWeekNumberClick, styles = _a.styles, classNames = _a.classNames, locale = _a.locale, labelWeekNumber = _a.labels.labelWeekNumber, formatWeekNumber = _a.formatters.formatWeekNumber;
    var label = labelWeekNumber(Number(weekNumber), { locale: locale });
    var handleClick = function (e) {
        onWeekNumberClick === null || onWeekNumberClick === void 0 ? void 0 : onWeekNumberClick(weekNumber, dates, e);
    };
    var Component = onWeekNumberClick ? 'button' : 'span';
    var className = [classNames.weeknumber, classNames.button_reset];
    return (React.createElement(Component, { "aria-label": label, className: className.join(' '), style: styles.weeknumber, onClick: handleClick }, formatWeekNumber(Number(weekNumber), { locale: locale })));
}
//# sourceMappingURL=WeekNumber.js.map